pub mod simple_chat_protocol;

use preserves_schema::support as _support;
use _support::preserves;

#[allow(non_snake_case)]
pub struct Language<N: preserves::value::NestedValue> {
    pub LIT_0_PRESENT: N /* Present */,
    pub LIT_1_SAYS: N /* Says */,
    pub LIT_4_STATUS: N /* Status */,
    pub LIT_3_AWAY: N /* away */,
    pub LIT_2_HERE: N /* here */
}

impl<N: preserves::value::NestedValue> Default for Language<N> {
    fn default() -> Self {
        Language {
            LIT_0_PRESENT: /* Present */ _support::decode_lit(&vec![179, 7, 80, 114, 101, 115, 101, 110, 116]).unwrap(),
            LIT_1_SAYS: /* Says */ _support::decode_lit(&vec![179, 4, 83, 97, 121, 115]).unwrap(),
            LIT_4_STATUS: /* Status */ _support::decode_lit(&vec![179, 6, 83, 116, 97, 116, 117, 115]).unwrap(),
            LIT_3_AWAY: /* away */ _support::decode_lit(&vec![179, 4, 97, 119, 97, 121]).unwrap(),
            LIT_2_HERE: /* here */ _support::decode_lit(&vec![179, 4, 104, 101, 114, 101]).unwrap()
        }
    }
}
